#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "ppImage.h"

bool ppImageThread_ppImageDetrendReadout (psThreadJob *job) {

    pmConfig *config        = job->args->data[0];
    ppImageOptions *options = job->args->data[1];
    pmFPAview *view         = job->args->data[2];

    bool status = ppImageDetrendReadout(config, options, view);
    return status;
}

bool ppImageSetThreads () {

    psThreadTask *task = NULL;

    task = psThreadTaskAlloc ("PPIMAGE_DETREND_READOUT", 3);
    task->function = &ppImageThread_ppImageDetrendReadout;
    psThreadTaskAdd (task);

    return true;
}
